### Hierarchy

- EventTarget
  - MediaStream

## Index

### Properties

- EventTarget
- active
- id
- onactive
- onaddtrack
- oninactive
- onremovetrack

### Methods

- addEventListener
- addTrack
- clone
- dispatchEvent
- getAudioTracks
- getTrackById
- getTracks
- getVideoTracks
- removeEventListener
- removeTrack
- stop

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### active

active: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9895

### id

id: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9896

### onactive

onactive: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9897

### onaddtrack

onaddtrack: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9898

### oninactive

oninactive: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9899

### onremovetrack

onremovetrack: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9900

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9909

  #### Type parameters

  - #### K: keyof MediaStreamEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: MediaStream, ev: MediaStreamEventMap[K]): any

      - #### Parameters

        - ##### this: MediaStream

        - ##### ev: MediaStreamEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9910

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### addTrack

- addTrack(track: MediaStreamTrack): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9901

  #### Parameters

  - ##### track: MediaStreamTrack

  #### Returns void

### clone

- clone(): MediaStream

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9902

  #### Returns MediaStream

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getAudioTracks

- getAudioTracks(): MediaStreamTrack[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9903

  #### Returns MediaStreamTrack[]

### getTrackById

- getTrackById(trackId: string): MediaStreamTrack | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9904

  #### Parameters

  - ##### trackId: string

  #### Returns MediaStreamTrack | null

### getTracks

- getTracks(): MediaStreamTrack[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9905

  #### Returns MediaStreamTrack[]

### getVideoTracks

- getVideoTracks(): MediaStreamTrack[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9906

  #### Returns MediaStreamTrack[]

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9911

  #### Type parameters

  - #### K: keyof MediaStreamEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: MediaStream, ev: MediaStreamEventMap[K]): any

      - #### Parameters

        - ##### this: MediaStream

        - ##### ev: MediaStreamEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9912

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### removeTrack

- removeTrack(track: MediaStreamTrack): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9907

  #### Parameters

  - ##### track: MediaStreamTrack

  #### Returns void

### stop

- stop(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9908

  #### Returns void

Generated using TypeDoc